Robot Simulator of the Robotics Group for Self-Organization of Control: OSGBoxTex Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSGBoxTex Class Reference

Graphical box with Textures. More...

`#include <osgprimitive.h>`

Inherits OSGPrimitive.

Inheritance diagram for OSGBoxTex:

[legend]
Collaboration diagram for OSGBoxTex:

[legend]
List of all members.

## Public Member Functions
| OSGBoxTex (float lengthX, float lengthY, float lengthZ)
| OSGBoxTex (osg::Vec3 dim)
virtual void | init (const OsgHandle &osgHandle, Quality quality=Middle)
osg::Vec3 | getDim () const
void | setDim (const osg::Vec3 &_dim)
virtual void | setColor (const Color &color)
| sets the color for painting this primitive
## Protected Member Functions
virtual void | applyTextures ()
| this actually sets the textures, overwritten
## Protected Attributes
osg::Vec3 | dim
osg::ref_ptr< osg::Geode > | faces [6]

## Detailed Description

Graphical box with Textures.

## Constructor & Destructor Documentation

OSGBoxTex | ( | float | lengthX,
|  | float | lengthY,
|  | float | lengthZ |
| ) |  |  |

OSGBoxTex | ( | osg::Vec3 | dim | ) |

## Member Function Documentation

void applyTextures | ( |  | ) | `[protected, virtual]`

this actually sets the textures, overwritten

Reimplemented from OSGPrimitive.

osg::Vec3 getDim | ( |  | ) | const`[inline]`

void init | ( | const OsgHandle & | osgHandle,
|  | Quality | quality = `Middle` |
| ) |  |  | `[virtual]`

void setColor | ( | const Color & | color | ) | `[virtual]`

sets the color for painting this primitive

Reimplemented from OSGPrimitive.

void setDim | ( | const osg::Vec3 & | _dim | ) | `[inline]`

## Member Data Documentation

osg::Vec3 dim`[protected]`

osg::ref_ptr<osg::Geode> faces[6]`[protected]`

The documentation for this class was generated from the following files:

- osgprimitive.h
- osgprimitive.cpp